using Graphs

function as_deserialized(path::String)
    open(path) do io
        deserialize(io)
    end
end

function papertree(doi_to, doi_from)

	g=as_deserialized("graph.txt")
	citing=readcsv("unique.csv")

	c=Dict{ASCIIString,Int}() 
	for i=1:length(citing)
    	c[citing[i]]=i
	end

	dists=ones(num_edges(g))
	r = dijkstra_shortest_paths(g, dists, c[doi_from])

	l=c[doi_to]
	pt={}

	for d=1:r.dists[c[doi_to]]
    	l=r.parents[l]
    	push!(pt,string("http://link.aps.org/doi/",citing[l],"\n"))
	end

	return pt

end