using HttpServer
require("nobel.jl")

#http = HttpHandler() do req::Request, res::Response
#    Response(ismatch(r"^/doi/",req.resource) ? string("Hello ", split(req.resource,'/')[3], "!") : 404)
#    Response(ismatch(r"^/doi/",req.resource) ? string(papertree(req.resource,"10.1103/PhysRevLett.13.508")) : 404)
#end

#http = HttpHandler() do req::Request, res::Response
#   m = match(r"^/fibo/(\d+)/?$",req.resource)
#    if m == nothing return Response(404) end
#    number = BigInt(m.captures[1])
#    if number < 1 || number > 100_000 return Response(500) end
#    return Response(string(fibonacci(number)))
#end

http = HttpHandler() do req::Request, res::Response
    m = match(r"^/doi/(.*)",req.resource)
    if m == nothing return Response(404) end
    p=papertree(string(m.captures[1]),"10.1103/PhysRevLett.13.508")
    println(m.captures[1])
    return Response(string(p))
end

http.events["error"]  = (client, err) -> println(err)
http.events["listen"] = (port)        -> println("Listening on $port...")

server = Server(http)
run(server, 8000)