
n=50;

pp=zeros(1000);

for p=1:length(pp)
	pp(p)=10E-4*p;
end

lam1=zeros(length(pp));
lam2=zeros(length(pp));
lam3=zeros(length(pp));

for p =1:length(pp)
	
	k=2*eye(n)-circshift(eye(n),1)-circshift(eye(n),-1);
	pr=pp(p);
	k_lr=k-pr.*circshift(eye(n),-n/2)+pr.*eye(n);

	k_o=2*eye(n)-circshift(eye(n),1)-circshift(eye(n),-1);

	k_d=2*eye(n)-circshift(eye(n),1)-circshift(eye(n),-1);
	k_d(1,:)=k_d(1,:)*pp(p);

	k_lr;

	v1=eig(k_o);
	%pause
	v2=eig(k_d);
	v3=eig(k_lr);
	
	lam1(p)=v1(2);
	lam2(p)=v2(2);
	lam3(p)=v3(2);

end

loglog(pp,lam1,'b')
hold on 
loglog(pp,lam2,'r')
loglog(pp,lam3,'g')

hold off

csvwrite('matlab.csv',[lam1,lam2,lam3])